/************************************************************************
 * A full backup of the database is always recommended!                 *
 * SCRIPTNAME :              PM3_AddAdditionalLanguages.sql             *
 * DATE :                    28.09.2016                                 *
 * AUTHOR :                  Matrix42                                   *
 * APPLIES TO :              Location DB                                *
 * REQUIRES DB-VERSION(S) :  7.10 or higher                             *
 * APPLIES TO DB-TYPE :      MSSQL                                      *
 *		                                                                *
 * The execution of the script adds additional languages and triggers   *
 * a "Forced Catalog Sync" job of the PM service (BTQH)                 *
 ************************************************************************/
-- Please activate only the language you want to use !!!
 
-- *** Add "Bulgarian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'BGSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('BGSTD', 'Bulgarian', 'Bulgarian', 'BGR', 0)

-- *** Add "Croatian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'HRSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('HRSTD', 'Croatian', 'Croatian', 'HRV', 0)

--IF NOT EXISTS (SELECT * FROM PM3_LanguageMaps WHERE LanguageCode = 'HRSTD')
--INSERT INTO PM3_LanguageMaps (LanguageCode, LanguageID, LSName, LanguageName) VALUES ('HRSTD', '041a', 'HR', 'Croatian')

-- *** "Estonian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'ETSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('ETSTD', 'Estonian', 'Estonian', 'ETI', 0)

-- *** "Lithuanian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'LTSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('LTSTD', 'Lithuanian', 'Lithuanian', 'LTH', 0)

-- *** "Latvian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'LVSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('LVSTD', 'Latvian', 'Latvian', 'LVI', 0)

-- *** "Romanian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'ROSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('ROSTD', 'Romanian', 'Romanian', 'ROM', 0)
 
-- *** "Slovenian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'SLSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('SLSTD', 'Slovenian', 'Slovenian', 'SLV', 0)

-- *** "Slovak" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'SKSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('SKSTD', 'Slovak', 'Slovak', 'SKY', 0)

--IF NOT EXISTS (SELECT * FROM PM3_LanguageMaps WHERE LanguageCode = 'SKSTD')
--INSERT INTO PM3_LanguageMaps (LanguageCode, LanguageID, LSName, LanguageName) VALUES ('SKSTD', '041b', 'SK', 'Slovak')

-- *** Add "Ukrainian" Language ***
--IF NOT EXISTS (SELECT * FROM PM3_Languages WHERE Code = 'UKSTD')
--INSERT INTO PM3_Languages (Code, BriefName, FullName, Alias, IsVisible) VALUES ('UKSTD', 'Ukrainian', 'Ukrainian', 'UKR', 0)

-- *** Force Catalog Sync ***
INSERT INTO ActivationQueue_PM3 (ObjectId, ObjectType, Command, Status, ExtendedInformation, QueueNumber)
	VALUES ('0', 5, 'CatalogSync', 1, 'FORCE', 1 )